This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 105739 - Year check in logrotate can be a problem
Year check in logrotate can be a problem
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: logrotate (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-26 17:08 EDT by Jos Vos
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-24 08:46:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jos Vos 2003-09-26 17:08:51 EDT
Description of problem:
Logrotate fails when the logrotate status file contains a year < 1996.  However,
when a system accidentally has run logrotate once with a clock that is reset to
1980, logrotate will *never* run again (without human intervention).

Version-Release number of selected component (if applicable):
3.6.9-1

Possible solution:
Remove this check or issue only a warning, but proceed. The source says that the
check is a "Hack to hide earlier bug", maybe it is not needed in the meantime.
Comment 1 Peter Vrabec 2006-08-24 08:46:53 EDT
I'm sorry but RHEL-3 is in maintenance mode, which means we fix only performance and
security issues.

Note You need to log in before you can comment on or make changes to this bug.